Bug 56336 - brp-compress doesn't work with fileutils-4.1.1-1
brp-compress doesn't work with fileutils-4.1.1-1
Product: Red Hat Raw Hide
Classification: Retired
Component: fileutils (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
: 56656 (view as bug list)
Depends On:
Blocks: 56449
  Show dependency treegraph
Reported: 2001-11-15 13:50 EST by Tim Waugh
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-24 17:54:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2001-11-15 13:50:00 EST
Description of Problem:
brp-compress doesn't work with fileutils-4.1.1-1.

Version-Release number of selected component (if applicable):
For example, rpm-4.0.3-1.03

How Reproducible:

Steps to Reproduce:
1. Install fileutils-4.1.1-1.
2. mkdir -p /tmp/demo/usr/share/man/man1
3. ln -s target.1 /tmp/demo/usr/share/man/man1/link.1
4. RPM_BUILD_ROOT=/tmp/demo LANG=en_US /usr/lib/rpm/brp-compress
5. ls -l /tmp/demo

Actual Results:
link.1.gz points to .gz.

Expected Results:
link.1.gz points to target.1.gz.

Additional Information:
This is because the default time style for ls now appears to be 'iso', 
which has an unpredictable number of fields.  Unfortunately, --time-style 
isn't accepted by fileutils-4.1, so I don't know what a good fix is.

Bero, I've copied you since you own the fileutils RPM.  This seems to be 
an _awful_ default.
Comment 1 Jeff Johnson 2001-11-24 10:21:24 EST
*** Bug 56656 has been marked as a duplicate of this bug. ***
Comment 2 Jeff Johnson 2001-11-24 10:31:48 EST
Agreed __awful__ and I add __dreadful__ !

Patch applied in rpm-4.1 (thank you Jonathan), the rest of
this mess is going to fileutils. Not my problem mon ...
Comment 3 Bernhard Rosenkraenzer 2001-11-27 10:13:58 EST
Default setting changed in 4.1.2-2

Note You need to log in before you can comment on or make changes to this bug.